org.keycloak.models.session

## Class PersistentAuthenticatedClientSessionAdapter.PersistentClientSessionData

- java.lang.Object
- - org.keycloak.models.session.PersistentAuthenticatedClientSessionAdapter.PersistentClientSessionData

- Enclosing class:
    PersistentAuthenticatedClientSessionAdapter

      protected static class PersistentAuthenticatedClientSessionAdapter.PersistentClientSessionData
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PersistentClientSessionData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAction()`
    `String` | `getAuthMethod()`
    `Map<String,Object>` | `getExecutionStatus()`
    `Map<String,String>` | `getNotes()`
    `Set<String>` | `getProtocolMappers()`
    `String` | `getRedirectUri()`
    `Set<String>` | `getRequiredActions()`
    `Set<String>` | `getRoles()`
    `Map<String,String>` | `getUserSessionNotes()`
    `void` | `setAction(String action)`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setExecutionStatus(Map<String,Object> executionStatus)`
    `void` | `setNotes(Map<String,String> notes)`
    `void` | `setProtocolMappers(Set<String> protocolMappers)`
    `void` | `setRedirectUri(String redirectUri)`
    `void` | `setRequiredActions(Set<String> requiredActions)`
    `void` | `setRoles(Set<String> roles)`
    `void` | `setUserSessionNotes(Map<String,String> userSessionNotes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentClientSessionData

          protected PersistentClientSessionData()

  - ### Method Detail

    - #### getAuthMethod

          public String getAuthMethod()

    - #### setAuthMethod

          public void setAuthMethod(String authMethod)

    - #### getRedirectUri

          public String getRedirectUri()

    - #### setRedirectUri

          public void setRedirectUri(String redirectUri)

    - #### getNotes

          public Map<String,String> getNotes()

    - #### setNotes

          public void setNotes(Map<String,String> notes)

    - #### getAction

          public String getAction()

    - #### setAction

          public void setAction(String action)

    - #### getUserSessionNotes

          public Map<String,String> getUserSessionNotes()

    - #### setUserSessionNotes

          public void setUserSessionNotes(Map<String,String> userSessionNotes)

    - #### getExecutionStatus

          public Map<String,Object> getExecutionStatus()

    - #### setExecutionStatus

          public void setExecutionStatus(Map<String,Object> executionStatus)

    - #### getRequiredActions

          public Set<String> getRequiredActions()

    - #### setRequiredActions

          public void setRequiredActions(Set<String> requiredActions)

    - #### getProtocolMappers

          public Set<String> getProtocolMappers()

    - #### setProtocolMappers

          public void setProtocolMappers(Set<String> protocolMappers)

    - #### getRoles

          public Set<String> getRoles()

    - #### setRoles

          public void setRoles(Set<String> roles)

Copyright © 2021 JBoss by Red Hat. All rights reserved.